/*
 * MetaMix
 *
 * copyright (c) 2001-2004 by Jason Freeman
 *
 * Win32Progress.java
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import javax.swing.*;
import java.awt.*;

// a dirty workaround...

public class Win32Progress extends JWindow
{
    public Win32Progress() {
	super();
	try {
        
        JLabel label;

	Container contentPane = getContentPane();
	contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.Y_AXIS));
	contentPane.add(Box.createVerticalGlue());
	contentPane.add(Box.createRigidArea(new Dimension(0,10)));
	
	try {
	    label = new JLabel(new ImageIcon(this.getClass().getResource("/html/icon.gif")));
	    label.setAlignmentX(Component.CENTER_ALIGNMENT);
	    contentPane.add(label);
	} catch (Exception e) {
	    ; // do nothing, just don't draw icon
	}
	
	contentPane.add(Box.createRigidArea(new Dimension(0,20)));
	
	label = new JLabel("Importing audio...");
	label.setAlignmentX(Component.CENTER_ALIGNMENT);
	contentPane.add(label);
	
	contentPane.add(Box.createRigidArea(new Dimension(0,5)));
	
	label = new JLabel("(This may take a while; please be patient.)");
	label.setAlignmentX(Component.CENTER_ALIGNMENT);
	contentPane.add(label);
	
	contentPane.add(Box.createRigidArea(new Dimension(0,20)));
	    pack();
	    Dimension screenSize =
		Toolkit.getDefaultToolkit().getScreenSize();
	    Dimension labelSize = label.getPreferredSize();
	    setLocation(screenSize.width/2 - (labelSize.width/2),
		screenSize.height/2 - (labelSize.height/2));
	    setVisible(true);
	    screenSize = null;
	    labelSize = null;
	} catch (Exception e) {
	    // just don't draw splash screen
	}
    }
}